=== debian/changelog ===
lshw (02.19.git.2021.06.19.996aaad9c7-ok6) nile; urgency=medium

  * close: #I5O0S0: Hardware Lister软件无法打开

 -- handsome_feng <jianfengli@ubuntukylin.com>  Tue, 16 Jul 2024 14:13:09 +0800

lshw (02.19.git.2021.06.19.996aaad9c7-ok5) nile; urgency=medium

  * update control file

 -- liuyapeng <liuyapeng@kylinos.cn>  Wed, 03 Apr 2024 15:35:34 +0800

lshw (02.19.git.2021.06.19.996aaad9c7-ok3) nile; urgency=medium

  * rebuild source for openKylin

 -- liuyapeng <liuyapeng@kylinos.cn>  Wed, 03 Apr 2024 15:24:44 +0800
